summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2014-10-13 17:03:13 (GMT)
committerJames Meyer <james.meyer@operamail.com>2014-10-13 17:03:13 (GMT)
commit2e7abbab92370a4a99ad68e460c476d02296e665 (patch)
tree1d6273195dd2c4f2e22d71d26a486cbfaa77052c /build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh
parent8bef8020a022c52a8d1d4bb373b5c8cdc256284f (diff)
downloadlinhes_dev-2e7abbab92370a4a99ad68e460c476d02296e665.zip
archiso-19 + configs for linhes iso.
This provides archiso-19 but doesn't install it inside the dev env.
Diffstat (limited to 'build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh b/build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh
new file mode 100755
index 0000000..aecf7f1
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/backup_copy/airootfs.orig/root/customize_airootfs.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+useradd -m -p "" -g users -G "adm,audio,floppy,log,network,rfkill,scanner,storage,optical,power,wheel" -s /usr/bin/zsh arch
+
+chmod 750 /etc/sudoers.d
+chmod 440 /etc/sudoers.d/g_wheel
+
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+sed -i 's/#\(Storage=\)auto/\1volatile/' /etc/systemd/journald.conf
+
+systemctl enable pacman-init.service choose-mirror.service
+systemctl set-default multi-user.target